سرورهای بازی
GET https://98uptime.ir/api/game-servers/
curl --request GET \
--url 'https://98uptime.ir/api/game-servers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://98uptime.ir/api/game-servers/' \
--header 'Authorization: Bearer {api_key}' \
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| search | اختیاری رشته | رشته جستجو. |
| search_by | اختیاری رشته | بر اساس کدام فیلد جستجو میکنید. مقادیر مجاز: name, target, port. |
| is_enabled | اختیاری بولین | |
| type | اختیاری رشته | مقادیر مجاز: minecraft, cs1.6, cscz, css, csgo, cs2, arkse, rust, garrysmod, dayz |
| project_id | اختیاری عدد صحیح | |
| datetime_field | اختیاری رشته | مقادیر مجاز: last_datetime, datetime, last_check_datetime |
| datetime_start | اختیاری رشته | نتایج را از این تاریخ و زمان فیلتر کنید. فرمت Y-m-d H:i:s. |
| datetime_end | اختیاری رشته | نتایج را تا این تاریخ و زمان فیلتر کنید. فرمت Y-m-d H:i:s. |
| order_by | اختیاری رشته | نتایج بر اساس کدام فیلد مرتب شوند. مقادیر مجاز: game_server_id, last_datetime, datetime, last_check_datetime, total_checks, name, uptime, average_response_time, average_online_players, online_players, maximum_online_players. |
| order_type | اختیاری رشته | ترتیب نتایج. مقادیر مجاز: ASC برای ترتیب صعودی و DESC برای ترتیب نزولی. |
| page | اختیاری عدد صحیح | شماره صفحهای که میخواهید نتایج از آن دریافت شود. بهطور پیشفرض 1. |
| results_per_page | اختیاری عدد صحیح | تعداد نتایجی که در هر صفحه میخواهید. مقادیر مجاز: 10, 25, 50, 100, 250, 500, 1000. بهطور پیشفرض 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": null,
"name": "Minecraft Example",
"type": "minecraft",
"target": "mc.example.com",
"port": 25565,
"query_port": 25565,
"settings": {
"check_interval_seconds": 180,
"timeout_seconds": 5
},
"online_players": 100,
"maximum_online_players": 200,
"details": {
"version_code": 1,
"version_name": "",
"favicon": "",
"mod_type": "",
"description": "",
"description_html": ""
},
"uptime": 100,
"downtime": 0,
"average_response_time": 500,
"average_online_players": 100,
"total_checks": 50,
"total_ok_checks": 50,
"total_not_ok_checks": 0,
"last_check_datetime": "2026-06-09 18:08:53",
"next_check_datetime": "2026-06-10 18:08:53",
"is_enabled": true,
"datetime": "2026-06-09 18:08:53",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://98uptime.ir/api/game-servers?page=1",
"last": "https://98uptime.ir/api/game-servers?page=1",
"next": null,
"prev": null,
"self": "https://98uptime.ir/api/game-servers?page=1"
}
}
GET https://98uptime.ir/api/game-servers/{game_server_id}
curl --request GET \
--url 'https://98uptime.ir/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://98uptime.ir/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": null,
"name": "Minecraft Example",
"type": "minecraft",
"target": "mc.example.com",
"port": 25565,
"query_port": 25565,
"settings": {
"check_interval_seconds": 180,
"timeout_seconds": 5
},
"online_players": 100,
"maximum_online_players": 200,
"details": {
"version_code": 1,
"version_name": "",
"favicon": "",
"mod_type": "",
"description": "",
"description_html": ""
},
"uptime": 100,
"downtime": 0,
"average_response_time": 500,
"average_online_players": 100,
"total_checks": 50,
"total_ok_checks": 50,
"total_not_ok_checks": 0,
"last_check_datetime": "2026-06-09 18:08:53",
"next_check_datetime": "2026-06-10 18:08:53",
"is_enabled": true,
"datetime": "2026-06-09 18:08:53",
}
}
POST https://98uptime.ir/api/game-servers
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| name | الزامی رشته | - |
| target | الزامی رشته | - |
| port | الزامی رشته | - |
| query_port | اختیاری رشته | - |
| type | اختیاری رشته | مقادیر مجاز: minecraft, cs1.6, cscz, css, csgo, cs2, arkse, rust, garrysmod, dayz |
| project_id | اختیاری عدد صحیح | - |
| check_interval_seconds | اختیاری عدد صحیح | مقادیر مجاز: 60, 180, 300, 600, 1800, 3600, 21600, 43200, 86400 (ثانیه) |
| timeout_seconds | اختیاری عدد صحیح | مقادیر مجاز: 1, 2, 3, 5, 10, 25 (ثانیه) |
| is_enabled | اختیاری بولین | - |
curl --request POST \
--url 'https://98uptime.ir/api/game-servers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=mc.example.com' \
--form 'port=25565' \
--url 'https://98uptime.ir/api/game-servers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=mc.example.com' \
--form 'port=25565' \
{
"data": {
"id": 1
}
}
POST https://98uptime.ir/api/game-servers/{game_server_id}
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| name | اختیاری رشته | - |
| target | اختیاری رشته | - |
| port | اختیاری رشته | - |
| query_port | اختیاری رشته | - |
| type | اختیاری رشته | مقادیر مجاز: minecraft, cs1.6, cscz, css, csgo, cs2, arkse, rust, garrysmod, dayz |
| project_id | اختیاری عدد صحیح | - |
| check_interval_seconds | اختیاری عدد صحیح | مقادیر مجاز: 60, 180, 300, 600, 1800, 3600, 21600, 43200, 86400 (ثانیه) |
| timeout_seconds | اختیاری عدد صحیح | مقادیر مجاز: 1, 2, 3, 5, 10, 25 (ثانیه) |
| is_enabled | اختیاری بولین | - |
curl --request POST \
--url 'https://98uptime.ir/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://98uptime.ir/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
DELETE https://98uptime.ir/api/game-servers/{game_server_id}
curl --request DELETE \
--url 'https://98uptime.ir/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://98uptime.ir/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \